classification
Title: Python 3 documentation links
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.2, Python 3.3
process
Status: closed Resolution: works for me
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, eric.araujo, ezio.melotti, orsenthil, r.david.murray, serhiy.storchaka
Priority: normal Keywords:

Created on 2012-04-01 16:42 by serhiy.storchaka, last changed 2012-06-28 10:45 by orsenthil. This issue is now closed.

Messages (5)
msg157316 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2012-04-01 16:42
"Other resources" links in the Python 3 documentation refer to the Python 2.7 online documentation. It is also strange that http://python.org/doc (for example from issue tracker sidebar) refer to the Python 2.7 documentation.
msg157318 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2012-04-01 16:51
The FAQ link (and removing the new style class link, but I think there is already an issue for that) is the only one I see that should be pointing to 3.x that isn't.

python.org/doc and docs.python.org is intentionally the 2.7 docs for now.  We haven't decided when we are going to change it.
msg157319 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2012-04-01 17:38
I think that it would be appropriate to start redirect (HTTP 302) http://docs.python.org/something/ to the http://docs.python.org/2.7/something/. Today, the situation is Vice versa.
msg161258 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2012-05-21 10:22
http://permalink.gmane.org/gmane.comp.python.devel/132675
msg164238 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2012-06-28 10:45
Right now, I do not see the problem mentioned in this report.

http://www.python.org/doc/ point to a page which has reference docs to both 2.7 and 3.0. 
The left hand side, Other Resources Link are generic too.

docs.python.org pointing to py2.7 is a python-dev decision and outside scope of this bug.

I am closing this one as works for me.
History
Date User Action Args
2012-06-28 10:45:15orsenthilsetstatus: open -> closed

nosy: + orsenthil
messages: + msg164238

resolution: works for me
stage: resolved
2012-06-17 11:42:25ezio.melottisettype: enhancement
2012-05-23 22:56:57ezio.melottisetnosy: + ezio.melotti
2012-05-21 10:22:21serhiy.storchakasetmessages: + msg161258
2012-04-06 17:10:46eric.araujosetnosy: + eric.araujo

versions: - Python 3.1
2012-04-01 17:38:15serhiy.storchakasetmessages: + msg157319
2012-04-01 16:51:47r.david.murraysetnosy: + r.david.murray
messages: + msg157318
2012-04-01 16:42:59serhiy.storchakacreate